
##-----------------------------------------------------------------------------
## All %%global definitions should be placed here and keep them sorted
##
%if ( 0%{?fedora} ) || ( 0%{?rhel} && 0%{?rhel} > 6 ) || ( 0%{?centos_version} && 0%{?centos_version} > 6)
%global _with_systemd true
%else
%global _with_initd true
%endif


##-----------------------------------------------------------------------------
## All package definitions should be placed here
##
Summary:          Gluster block storage utility
Name:             gluster-block
Version:          0.3
Release:          1
License:          GPLv2 or LGPLv3+
URL:              https://github.com/gluster/gluster-block
Source0:          gluster-block-0.3.tar.gz

BuildRequires:    pkgconfig(glusterfs-api)
BuildRequires:    pkgconfig(json-c)
BuildRequires:    help2man >= 1.36
%if ( 0%{?_with_systemd:1} )
%{?systemd_requires}
BuildRequires:    systemd
%endif

Requires:         tcmu-runner >= 1.0.4
Requires:         targetcli >= 2.1.fb43
Requires:         rpcbind

%description
gluster-block is a CLI utility, which aims at making gluster backed block
storage creation and maintenance as simple as possible.

%prep
%setup -q

%build
%configure
%make_build

%install
%make_install
%if ( 0%{?_with_initd:1} )
mv %{buildroot}/%{_initddir}/gluster-blockd.initd %{buildroot}/%{_initddir}/gluster-blockd
%endif

%if ( 0%{?_with_systemd:1} )
%post
%systemd_post gluster-blockd.service

%preun
%systemd_preun gluster-blockd.service

%postun
%systemd_postun_with_restart gluster-blockd.service
%endif

%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%doc README.md
%if ( 0%{?_with_initd:1} )
%doc COPYING-GPLV2 COPYING-LGPLV3
%else
%license COPYING-GPLV2 COPYING-LGPLV3
%endif
%{_sbindir}/gluster-block
%{_sbindir}/gluster-blockd
%{_mandir}/man8/gluster-block*.8*
%if ( 0%{?_with_systemd:1} )
%{_unitdir}/gluster-blockd.service
%{_unitdir}/gluster-block-target.service
%else
%attr(755, root, root) %{_initddir}/gluster-blockd
%endif
%config(noreplace) %{_sysconfdir}/sysconfig/gluster-blockd

%changelog
* Mon Sep 25 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- Fix Unclosed %if block in the spec file

* Thu Sep 21 2017 Niels de Vos <ndevos@redhat.com>
- added systemd macros in the scriptlets
- use pkgconfig for BuildRequires
- run setup in quiet mode
- run make_* macros instead of make commands in build/install section
- drop the INSTALL file from the documentation

* Fri Sep 15 2017 Ji-Hyeon Gim <potatogim@potatogim.net>
- update with sysconfig handling for non-systemd distros

* Fri Aug 11 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add wrapper target service unit

* Tue Jun 22 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- update with missing dependencies

* Tue Jun 06 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add gluster-blockd sysconfig template

* Mon Mar 27 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add json-c-devel to build dependency list

* Mon Mar 6 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- conditionally enable with_systemd flag

* Mon Feb 27 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add INSTALL

* Mon Feb 27 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- add Man page entry

* Thu Feb 23 2017 Niels de Vos <ndevos@redhat.com>
- cleanup and add licenses and README.md to the package

* Sun Feb 5 2017 Prasanna Kumar Kalever <prasanna.kalever@redhat.com>
- Initial spec file
